Skip to main content
GET
Get

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

The id of the historic activity instance to be retrieved.

Response

Request successful.

id
string | null

The id of the activity instance.

parentActivityInstanceId
string | null

The id of the parent activity instance, for example a sub process instance.

activityId
string | null

The id of the activity that this object is an instance of.

activityName
string | null

The name of the activity that this object is an instance of.

activityType
string | null

The type of the activity that this object is an instance of.

processDefinitionKey
string | null

The key of the process definition that this activity instance belongs to.

processDefinitionId
string | null

The id of the process definition that this activity instance belongs to.

processInstanceId
string | null

The id of the process instance that this activity instance belongs to.

executionId
string | null

The id of the execution that executed this activity instance.

taskId
string | null

The id of the task that is associated to this activity instance. Is only set if the activity is a user task.

assignee
string | null

The assignee of the task that is associated to this activity instance. Is only set if the activity is a user task.

calledProcessInstanceId
string | null

The id of the called process instance. Is only set if the activity is a call activity and the called instance a process instance.

calledCaseInstanceId
string | null

The id of the called case instance. Is only set if the activity is a call activity and the called instance a case instance.

startTime
string<date-time> | null

The time the instance was started. By default, the date must have the format yyyy-MM-dd'T'HH:mm:ss.SSSZ, e.g., 2013-01-23T14:42:45.000+0200.

endTime
string<date-time> | null

The time the instance ended. By default, the date must have the format yyyy-MM-dd'T'HH:mm:ss.SSSZ, e.g., 2013-01-23T14:42:45.000+0200.

durationInMillis
integer<int64> | null

The time the instance took to finish (in milliseconds).

canceled
boolean | null

If true, this activity instance is canceled.

completeScope
boolean | null

If true, this activity instance did complete a BPMN 2.0 scope.

tenantId
string | null

The tenant id of the activity instance.

removalTime
string<date-time> | null

The time after which the activity instance should be removed by the History Cleanup job. By default, the date must have the format yyyy-MM-dd'T'HH:mm:ss.SSSZ, e.g., 2013-01-23T14:42:45.000+0200.

rootProcessInstanceId
string | null

The process instance id of the root process instance that initiated the process containing this activity instance.